Qt Reference Documentation

# Qt 3 Support Members for QTimer

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QTimer class reference

## Public Functions

| QTimer ( QObject * parent, const char * name )

- 8 public functions inherited from QObject

## Public Slots

void | changeInterval ( int msec )
int | start ( int msec, bool sshot )

## Member Function Documentation

### QTimer::QTimer ( QObject * parent, const char * name )

Constructs a timer called name, with a parent.

### void QTimer::changeInterval ( int msec )`[slot]`

Use setInterval(msec) or start(msec) instead.

### int QTimer::start ( int msec, bool sshot )`[slot]`

This function overloads start().

Call setSingleShot(sshot) and start(msec) instead.